Subject: Ticket Assigned - Hi . I have ordered a giggles stroller from mirdiff city centre . And we had to pick it from the sto...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 04 May 2020 07:05:58 +0000

Hi Mhd Obiedo,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Hi . I have ordered a giggles stroller from mirdiff city centre . And we had to pick it from the sto... Hi . I have ordered a giggles stroller from mirdiff city centre . And we had to pick it from the store on 12 april . How can i get it now https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/730671